Bug 121031 - Table doesn't show up after undo (only after save & reload)
Summary: Table doesn't show up after undo (only after save & reload)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: high major
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:6.2.0 target:7.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: redlinehide-regressions
  Show dependency treegraph
 
Reported: 2018-10-29 15:42 UTC by Telesto
Modified: 2020-11-19 11:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-10-29 15:42:15 UTC
Description:
Table doesn't show up after undo (only after save & reload)

Steps to Reproduce:
1. Insert a table 
2. Table -> Delete -> Table
3. Press CTRL+Z (nothing)
4. Save
5. Reload (a table)

Actual Results:
No table after undo

Expected Results:
Table


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha1+
Build ID: cb7500ddb8de6c41fca84a0009ffe22240bb1845
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-29_03:24:02
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Xisco Faulí 2018-10-29 15:56:07 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=723728cd358693b8f4bc9d913541aa4479f2bd48

author	Michael Stahl <Michael.Stahl@cib.de>	2018-08-22 17:09:02 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-09-19 10:18:29 +0200
commit 723728cd358693b8f4bc9d913541aa4479f2bd48 (patch)
tree 1ac75a662a46987301ea85d32957eb08f435ffd6
parent 41d8ca9686c7c184f586e99674b443c34bfd4f33 (diff)
sw_redlinehide_2: SwUndoDelete

Bisected with: bibisect-linux64-6.2

Adding Cc: to Michael Stahl
Comment 2 Michael Stahl (allotropia) 2018-11-16 11:24:03 UTC
fixed on master
Comment 3 Commit Notification 2018-11-16 11:24:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/68880a3004623553bf1920ad8a4a4d2be4bca234%5E%21

tdf#121031 sw_redlinehide: fix SwUndoDelete of table: create table frames

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2018-11-19 09:08:11 UTC
Works ok. Verified on:

Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Commit Notification 2020-06-14 22:59:17 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f11df2981356125094e2bda317fd994513f60fb9

tdf#121031: sw: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.